# undo(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

undo - Undo the last edit

## SYNOPSIS

n undo (C-x u)

## DESCRIPTION

undo removes the last n edits made to the current buffer. The undo(2m) buffer mode must be enabled for this command to operate.

The undo information is retained up until the next save operation, at which point the undo information is discarded. When editing large files with gross changes then it is advisable to either disable undo mode, or save frequently to flush the undo buffer, thereby keeping MicroEmacs 2009 memory requirements reasonable (most UNIX users have restrictions on the amount of memory that may be consumed by a single process. Windows is restricted by the amount of virtual memory (or swap space)).

## SEE ALSO

buffer-mode(2), save-buffer(2), undo(2m).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>